> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Wallet

> Validates a new wallet address per chain, creates a PENDING wallet and auto-runs a test transaction if configured.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/add-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/add-wallet:
    post:
      operationId: addWallet
      summary: Add Wallet
      description: >-
        Validates a new wallet address per chain, creates a PENDING wallet and
        auto-runs a test transaction if configured.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    AddWalletRequest:
      type: object
      properties:
        name:
          type: string
        walletAddress:
          type: string
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
        network:
          type: string
        twoFactorCode:
          type: string
        orgNetworkID:
          type: string
        walletTypeCustomID:
          type: string
        nickName:
          type: string
        tokenTypeID:
          type: string
        privyDetails:
          type: object
          properties:
            privyDID:
              type: string
            email:
              type: string
          required:
            - privyDID
            - email
        privyAccessToken:
          type: string
          minLength: 1
        crossmintDetails:
          type: object
          properties:
            crossmintUserId:
              type: string
            email:
              type: string
          required:
            - crossmintUserId
            - email
        polygonDetails:
          type: object
          properties:
            email:
              type: string
              format: email
            signature:
              type: string
              minLength: 1
            issuedAt:
              type: string
              minLength: 1
          required:
            - email
            - signature
            - issuedAt
        connectedViaMesh:
          type: boolean
        destinationTag:
          type: integer
      required:
        - name
        - walletAddress
        - network
    AddWalletResponse:
      type: object
      properties:
        walletID:
          type: string
      required:
        - walletID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
